Plugins are disabled?

Python and python framework
blauwebuis
Posts: 348
Joined: Wednesday 21 December 2016 10:11
Target OS: Raspberry Pi
Domoticz version: current
Contact:

Plugins are disabled?

Post by blauwebuis » Friday 12 January 2018 14:37

After an update the python plugins are not working and not appearing in the hardware list.

Have they been disabled again?

User avatar
Siewert308SW
Posts: 607
Joined: Monday 29 December 2014 16:47
Target OS: Raspberry Pi
Domoticz version: Beta
Location: The Netherlands - Zoutkamp (gn)
Contact:

Re: Plugins are disabled?

Post by Siewert308SW » Friday 12 January 2018 14:44

Upgrade to what?
At the moment running 3.8805 and all my plugins are running fine.
Setup:
- RPi3 - PIco HV3.0A / Domo Beta 3.9XXX / RFXtrx433E / Aeotec Gen5
- RPi3 - PIco HV3.0A / PiHole / PiVPN / NAS / Print Server
- Youless Elec&Gas
- FI9803P Cams
- KD101 detectors
- Zwave & KaKu

MyDomoticz scripts: @GitHub
PIco UPS Toolkit: @GitHub

Toolman
Posts: 20
Joined: Monday 04 July 2016 23:15
Target OS: Raspberry Pi
Domoticz version: V3.8805
Location: Netherlands
Contact:

Re: Plugins are disabled?

Post by Toolman » Friday 12 January 2018 14:57

I'm running 3.8805 and Python plugins are not running. So I've got the same problem as blauwebuis.
@blauwebuis: did you use the prebuilt beta?
@Siewert308SW: did you compile the source yourself?

User avatar
Siewert308SW
Posts: 607
Joined: Monday 29 December 2014 16:47
Target OS: Raspberry Pi
Domoticz version: Beta
Location: The Netherlands - Zoutkamp (gn)
Contact:

Re: Plugins are disabled?

Post by Siewert308SW » Friday 12 January 2018 14:59

Toolman wrote:
Friday 12 January 2018 14:57
I'm running 3.8805 and Python plugins are not running. So I've got the same problem as blauwebuis.
@blauwebuis: did you use the prebuilt beta?
@Siewert308SW: did you compile the source yourself?
Yep... I compiled it myself
Setup:
- RPi3 - PIco HV3.0A / Domo Beta 3.9XXX / RFXtrx433E / Aeotec Gen5
- RPi3 - PIco HV3.0A / PiHole / PiVPN / NAS / Print Server
- Youless Elec&Gas
- FI9803P Cams
- KD101 detectors
- Zwave & KaKu

MyDomoticz scripts: @GitHub
PIco UPS Toolkit: @GitHub

Toolman
Posts: 20
Joined: Monday 04 July 2016 23:15
Target OS: Raspberry Pi
Domoticz version: V3.8805
Location: Netherlands
Contact:

Re: Plugins are disabled?

Post by Toolman » Friday 12 January 2018 15:01

Siewert308SW wrote:
Friday 12 January 2018 14:59
Yep... I compiled it myself
That probably explains the difference between your version and mine.

User avatar
Siewert308SW
Posts: 607
Joined: Monday 29 December 2014 16:47
Target OS: Raspberry Pi
Domoticz version: Beta
Location: The Netherlands - Zoutkamp (gn)
Contact:

Re: Plugins are disabled?

Post by Siewert308SW » Friday 12 January 2018 15:04

Toolman wrote:
Friday 12 January 2018 15:01
Siewert308SW wrote:
Friday 12 January 2018 14:59
Yep... I compiled it myself
That probably explains the difference between your version and mine.
hhmmmm... correct me if i'm wrong but latest beta is the same as the one we compile.
I mean, if you download the latest beta while i compile it should be the same.
There is one differnce, if somebody does a commit and i recompile it then i'm up to date while the precompiled can take up to one hour to be online.
Setup:
- RPi3 - PIco HV3.0A / Domo Beta 3.9XXX / RFXtrx433E / Aeotec Gen5
- RPi3 - PIco HV3.0A / PiHole / PiVPN / NAS / Print Server
- Youless Elec&Gas
- FI9803P Cams
- KD101 detectors
- Zwave & KaKu

MyDomoticz scripts: @GitHub
PIco UPS Toolkit: @GitHub

blauwebuis
Posts: 348
Joined: Wednesday 21 December 2016 10:11
Target OS: Raspberry Pi
Domoticz version: current
Contact:

Re: Plugins are disabled?

Post by blauwebuis » Friday 12 January 2018 15:59

pre-built here too.

The Smart Virtual Thermostat plugin is kinda important to me :-)

nx345
Posts: 1
Joined: Friday 12 January 2018 16:23
Target OS: -
Domoticz version:
Contact:

Re: Plugins are disabled?

Post by nx345 » Friday 12 January 2018 16:32

I confirm that scripts based on virtual sensors (thermostat for instance) are disabled after a git pull to domoticz 3.8805

moroen
Posts: 165
Joined: Sunday 15 January 2017 12:06
Target OS: Linux
Domoticz version: beta
Location: Norway
Contact:

Re: Plugins are disabled?

Post by moroen » Friday 12 January 2018 22:20

Siewert308SW wrote:
Friday 12 January 2018 15:04
Toolman wrote:
Friday 12 January 2018 15:01
Siewert308SW wrote:
Friday 12 January 2018 14:59
Yep... I compiled it myself
That probably explains the difference between your version and mine.
hhmmmm... correct me if i'm wrong but latest beta is the same as the one we compile.
I mean, if you download the latest beta while i compile it should be the same.
There is one differnce, if somebody does a commit and i recompile it then i'm up to date while the precompiled can take up to one hour to be online.
The difference is due to different build settings. When downloading from source, and just configured with "cmake .", python is enabled by default. Why it's not enabled in the latest prebuilt binary, I have no idea...

Regards,
M

User avatar
Siewert308SW
Posts: 607
Joined: Monday 29 December 2014 16:47
Target OS: Raspberry Pi
Domoticz version: Beta
Location: The Netherlands - Zoutkamp (gn)
Contact:

Re: Plugins are disabled?

Post by Siewert308SW » Monday 15 January 2018 2:57

@moroen

Can't be, test it out true the day today.
Even if i don't compile but use the normal bash command to install all my plugins work.
I didn't test the following, at the moment i run python 3.4 while is see crash report of user who are running 3.5.
Setup:
- RPi3 - PIco HV3.0A / Domo Beta 3.9XXX / RFXtrx433E / Aeotec Gen5
- RPi3 - PIco HV3.0A / PiHole / PiVPN / NAS / Print Server
- Youless Elec&Gas
- FI9803P Cams
- KD101 detectors
- Zwave & KaKu

MyDomoticz scripts: @GitHub
PIco UPS Toolkit: @GitHub

blauwebuis
Posts: 348
Joined: Wednesday 21 December 2016 10:11
Target OS: Raspberry Pi
Domoticz version: current
Contact:

Re: Plugins are disabled?

Post by blauwebuis » Monday 15 January 2018 10:55

The issue persists.

on my system:
python -> 2.9.7
python3 -> 3.4.2

Quax1507
Posts: 124
Joined: Tuesday 07 April 2015 21:29
Target OS: Raspberry Pi
Domoticz version:
Contact:

Re: Plugins are disabled?

Post by Quax1507 » Monday 15 January 2018 11:00

Same issue here:

python -V
Python 2.7.13

python3 -V
Python 3.5.3

User avatar
Siewert308SW
Posts: 607
Joined: Monday 29 December 2014 16:47
Target OS: Raspberry Pi
Domoticz version: Beta
Location: The Netherlands - Zoutkamp (gn)
Contact:

Re: Plugins are disabled?

Post by Siewert308SW » Monday 15 January 2018 11:10

Thx for the info.
I'm just trying to rule some stuff out.
Did you also install python3-dev?
Setup:
- RPi3 - PIco HV3.0A / Domo Beta 3.9XXX / RFXtrx433E / Aeotec Gen5
- RPi3 - PIco HV3.0A / PiHole / PiVPN / NAS / Print Server
- Youless Elec&Gas
- FI9803P Cams
- KD101 detectors
- Zwave & KaKu

MyDomoticz scripts: @GitHub
PIco UPS Toolkit: @GitHub

Quax1507
Posts: 124
Joined: Tuesday 07 April 2015 21:29
Target OS: Raspberry Pi
Domoticz version:
Contact:

Re: Plugins are disabled?

Post by Quax1507 » Monday 15 January 2018 11:15

All packages related to python installed here:

dh-python/stable,now 2.20170125 all [installed,automatic]
libpython-stdlib/stable,now 2.7.13-2 armhf [installed,automatic]
libpython2.7-minimal/stable,now 2.7.13-2+deb9u2 armhf [installed,automatic]
libpython2.7-stdlib/stable,now 2.7.13-2+deb9u2 armhf [installed,automatic]
libpython3-dev/stable,now 3.5.3-1 armhf [installed,automatic]
libpython3-stdlib/stable,now 3.5.3-1 armhf [installed,automatic]
libpython3.5/stable,now 3.5.3-1 armhf [installed]
libpython3.5-dev/stable,now 3.5.3-1 armhf [installed,automatic]
libpython3.5-minimal/stable,now 3.5.3-1 armhf [installed,automatic]
libpython3.5-stdlib/stable,now 3.5.3-1 armhf [installed,automatic]
python/stable,now 2.7.13-2 armhf [installed]
python-apt-common/stable,now 1.1.0~beta5 all [installed,automatic]
python-bluez/stable,now 0.22-1 armhf [installed]
python-cffi-backend/stable,now 1.9.1-2 armhf [installed,automatic]
python-chardet/stable,now 2.3.0-2 all [installed,automatic]
python-cryptography/stable,now 1.7.1-3+b2 armhf [installed,automatic]
python-enum34/stable,now 1.1.6-1 all [installed,automatic]
python-idna/stable,now 2.2-1 all [installed,automatic]
python-ipaddress/stable,now 1.0.17-1 all [installed,automatic]
python-minimal/stable,now 2.7.13-2 armhf [installed,automatic]
python-openssl/stable,now 16.2.0-1 all [installed,automatic]
python-pip-whl/stable,now 9.0.1-2+rpt1 all [installed,automatic]
python-pkg-resources/stable,now 33.1.1-1 all [installed,automatic]
python-pyasn1/stable,now 0.1.9-2 all [installed,automatic]
python-requests/stable,now 2.12.4-1 all [installed]
python-rpi.gpio/stable,now 0.6.3~stretch-1 armhf [installed]
python-setuptools/stable,now 33.1.1-1 all [installed,automatic]
python-six/stable,now 1.10.0-3 all [installed,automatic]
python-urllib3/stable,now 1.19.1-1 all [installed,automatic]
python2.7/stable,now 2.7.13-2+deb9u2 armhf [installed,automatic]
python2.7-minimal/stable,now 2.7.13-2+deb9u2 armhf [installed,automatic]
python3/stable,now 3.5.3-1 armhf [installed]
python3-apt/stable,now 1.1.0~beta5 armhf [installed,automatic]
python3-cffi-backend/stable,now 1.9.1-2 armhf [installed,automatic]
python3-crypto/stable,now 2.6.1-7 armhf [installed,automatic]
python3-cryptography/stable,now 1.7.1-3+b2 armhf [installed,automatic]
python3-dbus/stable,now 1.2.4-1 armhf [installed,automatic]
python3-dev/stable,now 3.5.3-1 armhf [installed]
python3-gi/stable,now 3.22.0-2 armhf [installed,automatic]
python3-idna/stable,now 2.2-1 all [installed,automatic]
python3-keyring/stable,now 10.1-1 all [installed,automatic]
python3-keyrings.alt/stable,now 1.3-1 all [installed,automatic]
python3-minimal/stable,now 3.5.3-1 armhf [installed,automatic]
python3-pip/stable,now 9.0.1-2+rpt1 all [installed]
python3-pkg-resources/stable,now 33.1.1-1 all [installed,automatic]
python3-pyasn1/stable,now 0.1.9-2 all [installed,automatic]
python3-secretstorage/stable,now 2.3.1-2 all [installed,automatic]
python3-setuptools/stable,now 33.1.1-1 all [installed,automatic]
python3-six/stable,now 1.10.0-3 all [installed,automatic]
python3-wheel/stable,now 0.29.0-2 all [installed,automatic]
python3-xdg/stable,now 0.25-4 all [installed,automatic]
python3.5/stable,now 3.5.3-1 armhf [installed,automatic]
python3.5-dev/stable,now 3.5.3-1 armhf [installed,automatic]
python3.5-minimal/stable,now 3.5.3-1 armhf [installed,automatic]

[EDIT] RPi3 with Stretch
Last edited by Quax1507 on Monday 15 January 2018 11:20, edited 1 time in total.

User avatar
EddyG
Posts: 275
Joined: Monday 02 November 2015 6:54
Target OS: Raspberry Pi
Domoticz version: 4.9788
Location: Rhenen, Netherlands
Contact:

Re: Plugins are disabled?

Post by EddyG » Monday 15 January 2018 11:20

Siewert308SW wrote:
Friday 12 January 2018 15:04
Toolman wrote:
Friday 12 January 2018 15:01
Siewert308SW wrote:
Friday 12 January 2018 14:59
Yep... I compiled it myself
That probably explains the difference between your version and mine.
hhmmmm... correct me if i'm wrong but latest beta is the same as the one we compile.
I mean, if you download the latest beta while i compile it should be the same.
There is one differnce, if somebody does a commit and i recompile it then i'm up to date while the precompiled can take up to one hour to be online.
Prebuild is NOT the same as the only you compile yourself.
Libs might differ, OpenZwave might not be present. etc....
Regards,
Eddy

blauwebuis
Posts: 348
Joined: Wednesday 21 December 2016 10:11
Target OS: Raspberry Pi
Domoticz version: current
Contact:

Re: Plugins are disabled?

Post by blauwebuis » Monday 15 January 2018 11:26

python3-dev -> command not found

the only python plugin I had left, and that I just removed, was the Smart Virtual Thermostat.

User avatar
Siewert308SW
Posts: 607
Joined: Monday 29 December 2014 16:47
Target OS: Raspberry Pi
Domoticz version: Beta
Location: The Netherlands - Zoutkamp (gn)
Contact:

Re: Plugins are disabled?

Post by Siewert308SW » Monday 15 January 2018 11:29

EddyG wrote:
Monday 15 January 2018 11:20
Siewert308SW wrote:
Friday 12 January 2018 15:04
Toolman wrote:
Friday 12 January 2018 15:01

That probably explains the difference between your version and mine.
hhmmmm... correct me if i'm wrong but latest beta is the same as the one we compile.
I mean, if you download the latest beta while i compile it should be the same.
There is one differnce, if somebody does a commit and i recompile it then i'm up to date while the precompiled can take up to one hour to be online.
Prebuild is NOT the same as the only you compile yourself.
Libs might differ, OpenZwave might not be present. etc....
True...
But at the moment not running a compiled version but prebuild and it still works here.
Don't know what i'm doing different as even the prebuilds are working overhere and trying to reproduce the issue fails for me.
Setup:
- RPi3 - PIco HV3.0A / Domo Beta 3.9XXX / RFXtrx433E / Aeotec Gen5
- RPi3 - PIco HV3.0A / PiHole / PiVPN / NAS / Print Server
- Youless Elec&Gas
- FI9803P Cams
- KD101 detectors
- Zwave & KaKu

MyDomoticz scripts: @GitHub
PIco UPS Toolkit: @GitHub

Quax1507
Posts: 124
Joined: Tuesday 07 April 2015 21:29
Target OS: Raspberry Pi
Domoticz version:
Contact:

Re: Plugins are disabled?

Post by Quax1507 » Tuesday 16 January 2018 13:57

@Siewert308SW

Could You post the results of:
cat /etc/os-release
and
apt list --installed| fgrep -i python
Perhpas we could compare results ald find a hint?

(my result of "apt list --installed| fgrep -i python" is a few posts above)

my result of: "cat /etc/os-release" is:
PRETTY_NAME="Raspbian GNU/Linux 9 (stretch)"
NAME="Raspbian GNU/Linux"
VERSION_ID="9"
VERSION="9 (stretch)"
ID=raspbian
ID_LIKE=debian
HOME_URL="http://www.raspbian.org/"
SUPPORT_URL="http://www.raspbian.org/RaspbianForums"
BUG_REPORT_URL="http://www.raspbian.org/RaspbianBugs"

User avatar
Siewert308SW
Posts: 607
Joined: Monday 29 December 2014 16:47
Target OS: Raspberry Pi
Domoticz version: Beta
Location: The Netherlands - Zoutkamp (gn)
Contact:

Re: Plugins are disabled?

Post by Siewert308SW » Tuesday 16 January 2018 14:07

For sure...

cat /etc/os-release:

Code: Select all

PRETTY_NAME="Raspbian GNU/Linux 8 (jessie)"
NAME="Raspbian GNU/Linux"
VERSION_ID="8"
VERSION="8 (jessie)"
ID=raspbian
ID_LIKE=debian
HOME_URL="http://www.raspbian.org/"
SUPPORT_URL="http://www.raspbian.org/RaspbianForums"
BUG_REPORT_URL="http://www.raspbian.org/RaspbianBugs"
apt list --installed| fgrep -i python:

Code: Select all

dh-python/oldstable,now 1.20141111-2 all [installed,automatic]
libboost-mpi-python-dev/oldstable,now 1.55.0.2 armhf [installed,automatic]
libboost-mpi-python1.55-dev/oldstable,now 1.55.0+dfsg-3 armhf [installed,automatic]
libboost-mpi-python1.55.0/oldstable,now 1.55.0+dfsg-3 armhf [installed,automatic]
libboost-python-dev/oldstable,now 1.55.0.2 armhf [installed,automatic]
libboost-python1.55-dev/oldstable,now 1.55.0+dfsg-3 armhf [installed,automatic]
libboost-python1.55.0/oldstable,now 1.55.0+dfsg-3 armhf [installed,automatic]
libpython-dev/oldstable,now 2.7.9-1 armhf [installed,automatic]
libpython-stdlib/oldstable,now 2.7.9-1 armhf [installed,automatic]
libpython2.7/oldstable,now 2.7.9-2+deb8u1 armhf [installed,automatic]
libpython2.7-dev/oldstable,now 2.7.9-2+deb8u1 armhf [installed,automatic]
libpython2.7-minimal/oldstable,now 2.7.9-2+deb8u1 armhf [installed,automatic]
libpython2.7-stdlib/oldstable,now 2.7.9-2+deb8u1 armhf [installed,automatic]
libpython3-all-dbg/oldstable,now 3.4.2-2 armhf [installed]
libpython3-all-dev/oldstable,now 3.4.2-2 armhf [installed]
libpython3-dbg/oldstable,now 3.4.2-2 armhf [installed]
libpython3-dev/oldstable,now 3.4.2-2 armhf [installed]
libpython3-stdlib/oldstable,now 3.4.2-2 armhf [installed]
libpython3.2/oldstable,now 3.2.4-1+b1 armhf [installed]
libpython3.3/oldstable,now 3.3.5-1 armhf [installed]
libpython3.3-dbg/oldstable,now 3.3.5-1 armhf [installed]
libpython3.3-dev/oldstable,now 3.3.5-1 armhf [installed]
libpython3.3-minimal/oldstable,now 3.3.5-1 armhf [installed]
libpython3.3-stdlib/oldstable,now 3.3.5-1 armhf [installed]
libpython3.3-testsuite/oldstable,now 3.3.5-1 all [installed]
libpython3.4/oldstable,now 3.4.2-1 armhf [installed]
libpython3.4-dbg/oldstable,now 3.4.2-1 armhf [installed]
libpython3.4-dev/oldstable,now 3.4.2-1 armhf [installed]
libpython3.4-minimal/oldstable,now 3.4.2-1 armhf [installed]
libpython3.4-stdlib/oldstable,now 3.4.2-1 armhf [installed]
libpython3.4-testsuite/oldstable,now 3.4.2-1 all [installed]
python/oldstable,now 2.7.9-1 armhf [installed]
python-apt/oldstable,now 0.9.3.12 armhf [installed,automatic]
python-apt-common/oldstable,now 0.9.3.12 all [installed,automatic]
python-chardet/oldstable,now 2.3.0-1 all [installed,automatic]
python-colorama/oldstable,now 0.3.2-1 all [installed,automatic]
python-dev/oldstable,now 2.7.9-1 armhf [installed,automatic]
python-distlib/oldstable,now 0.1.9-1 all [installed,automatic]
python-html5lib/oldstable,now 0.999-3 all [installed,automatic]
python-jinja2/oldstable,now 2.7.3-1 all [installed]
python-markupsafe/oldstable,now 0.23-1 armhf [installed,automatic]
python-minimal/oldstable,now 2.7.9-1 armhf [installed,automatic]
python-ndg-httpsclient/oldstable,now 0.3.2-1 all [installed,automatic]
python-openssl/oldstable,now 0.13.1-2 armhf [installed,automatic]
python-pip/oldstable,now 1.5.6-5 all [installed]
python-pkg-resources/oldstable,now 5.5.1-1 all [installed,automatic]
python-psutil/oldstable,now 2.1.1-1 armhf [installed]
python-pyasn1/oldstable,now 0.1.7-1 all [installed,automatic]
python-requests/oldstable,now 2.4.3-6 all [installed,automatic]
python-rpi.gpio/oldstable,now 0.6.3~jessie-1 armhf [installed]
python-serial/oldstable,now 2.6-1.1 all [installed]
python-setuptools/oldstable,now 5.5.1-1 all [installed,automatic]
python-six/oldstable,now 1.8.0-1 all [installed,automatic]
python-smbus/oldstable,now 3.1.1+svn-2 armhf [installed]
python-support/oldstable,now 1.0.15 all [installed,automatic]
python-urllib3/oldstable,now 1.9.1-3 all [installed,automatic]
python-wheel/oldstable,now 0.24.0-1 all [installed,automatic]
python-xmltodict/oldstable,now 0.9.0-1 all [installed]
python2.7/oldstable,now 2.7.9-2+deb8u1 armhf [installed,automatic]
python2.7-dev/oldstable,now 2.7.9-2+deb8u1 armhf [installed,automatic]
python2.7-minimal/oldstable,now 2.7.9-2+deb8u1 armhf [installed,automatic]
python3/oldstable,now 3.4.2-2 armhf [installed]
python3-dev/oldstable,now 3.4.2-2 armhf [installed]
python3-minimal/oldstable,now 3.4.2-2 armhf [installed,automatic]
python3.2/oldstable,now 3.2.4-1+b1 armhf [installed,automatic]
python3.2-minimal/oldstable,now 3.2.4-1+b1 armhf [installed,automatic]
python3.4/oldstable,now 3.4.2-1 armhf [installed,automatic]
python3.4-dev/oldstable,now 3.4.2-1 armhf [installed,automatic]
python3.4-minimal/oldstable,now 3.4.2-1 armhf [installed,automatic]

Setup:
- RPi3 - PIco HV3.0A / Domo Beta 3.9XXX / RFXtrx433E / Aeotec Gen5
- RPi3 - PIco HV3.0A / PiHole / PiVPN / NAS / Print Server
- Youless Elec&Gas
- FI9803P Cams
- KD101 detectors
- Zwave & KaKu

MyDomoticz scripts: @GitHub
PIco UPS Toolkit: @GitHub

blauwebuis
Posts: 348
Joined: Wednesday 21 December 2016 10:11
Target OS: Raspberry Pi
Domoticz version: current
Contact:

Re: Plugins are disabled?

Post by blauwebuis » Tuesday 16 January 2018 14:13

With the latest update my plugins are working again.

CAT OS:

PRETTY_NAME="Raspbian GNU/Linux 8 (jessie)"
NAME="Raspbian GNU/Linux"
VERSION_ID="8"
VERSION="8 (jessie)"
ID=raspbian
ID_LIKE=debian
HOME_URL="http://www.raspbian.org/"
SUPPORT_URL="http://www.raspbian.org/RaspbianForums"
BUG_REPORT_URL="http://www.raspbian.org/RaspbianBugs"

apt list --installed| fgrep -i python:

Code: Select all

WARNING: apt does not have a stable CLI interface yet. Use with caution in scripts.

dh-python/oldstable,now 1.20141111-2 all [installed,automatic]
idle-python2.7/oldstable,now 2.7.9-2+deb8u1 all [installed,automatic]
idle-python3.4/oldstable,now 3.4.2-1 all [installed,automatic]
libboost-python-dev/oldstable,now 1.55.0.2 armhf [installed]
libboost-python1.55-dev/oldstable,now 1.55.0+dfsg-3 armhf [installed,automatic]
libboost-python1.55.0/oldstable,now 1.55.0+dfsg-3 armhf [installed,automatic]
libpython-dev/oldstable,now 2.7.9-1 armhf [installed,automatic]
libpython-stdlib/oldstable,now 2.7.9-1 armhf [installed,automatic]
libpython2.7/oldstable,now 2.7.9-2+deb8u1 armhf [installed,automatic]
libpython2.7-dev/oldstable,now 2.7.9-2+deb8u1 armhf [installed,automatic]
libpython2.7-minimal/oldstable,now 2.7.9-2+deb8u1 armhf [installed,automatic]
libpython2.7-stdlib/oldstable,now 2.7.9-2+deb8u1 armhf [installed,automatic]
libpython3-dev/oldstable,now 3.4.2-2 armhf [installed,automatic]
libpython3-stdlib/oldstable,now 3.4.2-2 armhf [installed,automatic]
libpython3.4/oldstable,now 3.4.2-1 armhf [installed]
libpython3.4-dev/oldstable,now 3.4.2-1 armhf [installed,automatic]
libpython3.4-minimal/oldstable,now 3.4.2-1 armhf [installed,automatic]
libpython3.4-stdlib/oldstable,now 3.4.2-1 armhf [installed,automatic]
python/oldstable,now 2.7.9-1 armhf [installed]
python-apt/oldstable,now 0.9.3.12 armhf [installed,automatic]
python-apt-common/oldstable,now 0.9.3.12 all [installed,automatic]
python-blinker/oldstable,now 1.3.dfsg2-1 all [installed,automatic]
python-bluez/oldstable,now 0.20-1 armhf [installed]
python-cairo/oldstable,now 1.8.8-1 armhf [installed,automatic]
python-chardet/oldstable,now 2.3.0-1 all [installed,automatic]
python-colorama/oldstable,now 0.3.2-1 all [installed,automatic]
python-crypto/oldstable,now 2.6.1-5+deb8u1 armhf [installed,automatic]
python-dbus/oldstable,now 1.2.0-2+b1 armhf [installed,automatic]
python-dbus-dev/oldstable,now 1.2.0-2 all [installed,automatic]
python-dev/oldstable,now 2.7.9-1 armhf [installed]
python-distlib/oldstable,now 0.1.9-1 all [installed,automatic]
python-dnspython/oldstable,now 1.12.0-1 all [installed,automatic]
python-flask/oldstable,now 0.10.1-2 all [installed]
python-gconf/oldstable,now 2.28.1+dfsg-1.1 armhf [installed,automatic]
python-gi/oldstable,now 3.14.0-1 armhf [installed,automatic]
python-gi-cairo/oldstable,now 3.14.0-1 armhf [installed,automatic]
python-glade2/oldstable,now 2.24.0-4 armhf [installed,automatic]
python-gnome2/oldstable,now 2.28.1+dfsg-1.1 armhf [installed,automatic]
python-gobject/oldstable,now 3.14.0-1 all [installed,automatic]
python-gobject-2/oldstable,now 2.28.6-12 armhf [installed,automatic]
python-gpiozero/now 1.3.2 all [installed,upgradable to: 1.4.0]
python-gtk2/oldstable,now 2.24.0-4 armhf [installed,automatic]
python-html5lib/oldstable,now 0.999-3 all [installed,automatic]
python-itsdangerous/oldstable,now 0.24+dfsg1-1 all [installed,automatic]
python-jinja2/oldstable,now 2.7.3-1 all [installed,automatic]
python-ldb/oldstable,now 2:1.1.20-0+deb8u1 armhf [installed,automatic]
python-lxml/oldstable,now 3.4.0-1 armhf [installed,automatic]
python-markupsafe/oldstable,now 0.23-1 armhf [installed,automatic]
python-minecraftpi/oldstable,now 0.1.1-4 armhf [installed]
python-minimal/oldstable,now 2.7.9-1 armhf [installed,automatic]
python-mosquitto/oldstable,now 1.3.4-2+deb8u1 all [installed]
python-ndg-httpsclient/oldstable,now 0.3.2-1 all [installed,automatic]
python-notify/oldstable,now 0.1.1-4 armhf [installed,automatic]
python-ntdb/oldstable,now 1.0-5 armhf [installed,automatic]
python-numpy/oldstable,now 1:1.8.2-2 armhf [installed,automatic]
python-openssl/oldstable,now 0.13.1-2 armhf [installed,automatic]
python-picamera/oldstable,now 1.13 armhf [installed]
python-picraft/oldstable,now 1.0 all [installed]
python-pifacecommon/oldstable,now 4.2.1-1 all [installed]
python-pifacedigitalio/oldstable,now 3.1.0-1 all [installed]
python-pigpio/oldstable,now 1.60-1 all [installed]
python-pil/oldstable,now 2.6.1-2+deb8u3 armhf [installed,automatic]
python-pip/oldstable,now 1.5.6-5 all [installed]
python-pkg-resources/oldstable,now 5.5.1-1 all [installed,automatic]
python-pyasn1/oldstable,now 0.1.7-1 all [installed,automatic]
python-pygame/oldstable,now 1.9.2~pre~r3348-2~bpo8+rpi1 armhf [installed]
python-pyinotify/oldstable,now 0.9.4-1 all [installed,automatic]
python-pyorbit/oldstable,now 2.24.0-7 armhf [installed,automatic]
python-requests/oldstable,now 2.4.3-6 all [installed]
python-rpi.gpio/oldstable,now 0.6.3~jessie-1 armhf [installed]
python-rtimulib/oldstable,now 7.2.1-3 armhf [installed,automatic]
python-samba/oldstable,now 2:4.2.14+dfsg-0+deb8u9 armhf [installed,automatic]
python-sense-emu/oldstable,now 1.0 all [installed]
python-sense-emu-doc/oldstable,now 1.0 all [installed]
python-sense-hat/oldstable,now 2.2.0-1 armhf [installed,automatic]
python-serial/oldstable,now 2.6-1.1 all [installed]
python-setuptools/oldstable,now 5.5.1-1 all [installed,automatic]
python-six/oldstable,now 1.8.0-1 all [installed,automatic]
python-smbus/oldstable,now 3.1.1+svn-2 armhf [installed]
python-spidev/oldstable,now 2.0~git20150907 armhf [installed]
python-support/oldstable,now 1.0.15 all [installed,automatic]
python-talloc/oldstable,now 2.1.2-0+deb8u1 armhf [installed,automatic]
python-tdb/oldstable,now 1.3.6-0+deb8u1 armhf [installed,automatic]
python-tk/oldstable,now 2.7.8-2 armhf [installed]
python-twython/oldstable,now 3.1.2-1 all [installed]
python-urllib3/oldstable,now 1.9.1-3 all [installed,automatic]
python-werkzeug/oldstable,now 0.9.6+dfsg-1+deb8u1 all [installed,automatic]
python-wheel/oldstable,now 0.24.0-1 all [installed,automatic]
python-wicd/oldstable,now 1.7.2.4-4.1 all [installed,automatic]
python-xklavier/oldstable,now 0.4-4 armhf [installed,automatic]
python2.7/oldstable,now 2.7.9-2+deb8u1 armhf [installed,automatic]
python2.7-dev/oldstable,now 2.7.9-2+deb8u1 armhf [installed,automatic]
python2.7-minimal/oldstable,now 2.7.9-2+deb8u1 armhf [installed,automatic]
python3/oldstable,now 3.4.2-2 armhf [installed]
python3-apt/oldstable,now 0.9.3.12 armhf [installed,automatic]
python3-chardet/oldstable,now 2.3.0-1 all [installed,automatic]
python3-codebug-i2c-tether/oldstable,now 0.2.3-1 all [installed]
python3-codebug-tether/oldstable,now 0.7.0-1 all [installed]
python3-colorama/oldstable,now 0.3.2-1 all [installed,automatic]
python3-debian/oldstable,now 0.1.27 all [installed,automatic]
python3-dev/oldstable,now 3.4.2-2 armhf [installed]
python3-distlib/oldstable,now 0.1.9-1 all [installed,automatic]
python3-docutils/oldstable,now 0.12+dfsg-1 all [installed,automatic]
python3-flask/oldstable,now 0.10.1-2 all [installed]
python3-gi/oldstable,now 3.14.0-1 armhf [installed,automatic]
python3-gpiozero/now 1.3.2 all [installed,upgradable to: 1.4.0]
python3-html5lib/oldstable,now 0.999-3 all [installed,automatic]
python3-itsdangerous/oldstable,now 0.24+dfsg1-1 all [installed,automatic]
python3-jinja2/oldstable,now 2.7.3-1 all [installed,automatic]
python3-markupsafe/oldstable,now 0.23-1 armhf [installed,automatic]
python3-minecraftpi/oldstable,now 0.1.1-4 armhf [installed,automatic]
python3-minimal/oldstable,now 3.4.2-2 armhf [installed,automatic]
python3-numpy/oldstable,now 1:1.8.2-2 armhf [installed]
python3-openssl/oldstable,now 0.13.1-2 armhf [installed,automatic]
python3-pgzero/oldstable,now 1.1-1 armhf [installed]
python3-picamera/oldstable,now 1.13 armhf [installed]
python3-picraft/oldstable,now 1.0 all [installed]
python3-pifacecommon/oldstable,now 4.2.1-1 all [installed]
python3-pifacedigital-scratch-handler/oldstable,now 2.0.5-1 all [installed]
python3-pifacedigitalio/oldstable,now 3.1.0-1 all [installed]
python3-pigpio/oldstable,now 1.60-1 all [installed]
python3-pil/oldstable,now 2.6.1-2+deb8u3 armhf [installed,automatic]
python3-pip/oldstable,now 1.5.6-5 all [installed]
python3-pkg-resources/oldstable,now 5.5.1-1 all [installed,automatic]
python3-pygame/oldstable,now 1.9.2~pre~r3348-2~bpo8+rpi1 armhf [installed]
python3-pygments/oldstable,now 2.0.1+dfsg-1.1+deb8u1 all [installed,automatic]
python3-pyinotify/oldstable,now 0.9.4-1 all [installed,automatic]
python3-requests/oldstable,now 2.4.3-6 all [installed,automatic]
python3-roman/oldstable,now 2.0.0-1 all [installed,automatic]
python3-rpi.gpio/oldstable,now 0.6.3~jessie-1 armhf [installed]
python3-rtimulib/oldstable,now 7.2.1-3 armhf [installed,automatic]
python3-sense-emu/oldstable,now 1.0 all [installed]
python3-sense-hat/oldstable,now 2.2.0-1 armhf [installed,automatic]
python3-serial/oldstable,now 2.6-1.1 all [installed]
python3-setuptools/oldstable,now 5.5.1-1 all [installed,automatic]
python3-six/oldstable,now 1.8.0-1 all [installed,automatic]
python3-smbus/oldstable,now 3.1.1+svn-2 armhf [installed]
python3-sphinx/oldstable,now 1.2.3+dfsg-1 all [installed]
python3-spidev/oldstable,now 2.0~git20150907 armhf [installed]
python3-tk/oldstable,now 3.4.2-1 armhf [installed]
python3-twython/oldstable,now 3.1.2-1 all [installed]
python3-uno/oldstable,now 1:4.3.3-2+rpi4 armhf [installed]
python3-urllib3/oldstable,now 1.9.1-3 all [installed,automatic]
python3-werkzeug/oldstable,now 0.9.6+dfsg-1+deb8u1 all [installed,automatic]
python3-wheel/oldstable,now 0.24.0-1 all [installed,automatic]
python3.4/oldstable,now 3.4.2-1 armhf [installed,automatic]
python3.4-dev/oldstable,now 3.4.2-1 armhf [installed,automatic]
python3.4-minimal/oldstable,now 3.4.2-1 armhf [installed,automatic]

Post Reply

Who is online

Users browsing this forum: No registered users and 4 guests